2 Replies Latest reply on Nov 30, 2006 9:48 AM by Sohil Shah

    Federated SSO on 4.0.2?

    Markus Heidt Newbie

      Hi,

      I really like the idea of Federated SSO.
      Unfortunately I can't make it run.

      I took a fresh installation of 4.0.2 and copied the files into the deploy directory:
      jboss-sso.sar
      jboss-federation-server.ear

      But when starting jboss I get the ERROR:
      2006-11-30 11:03:36,847 DEBUG [org.jboss.util.NestedThrowable] org.jboss.util.NestedThrowable.detectDuplicateNesting=true
      org.jboss.deployment.DeploymentException: url file:/C:/jboss-4.0.2-clean/jboss-4.0.2/server/default/deploy/jboss-sso.sar/log4j.jar could not be opened, does it exist?

      After putting log4j into the default/lib directory, it asks for log4j-core...which i don't have.
      But renaming a log4j to log4j-core and putting it into default/lib as well, solves that issue.

      nevertheless the .ear failes as well:
      2006-11-30 11:03:52,221 DEBUG [org.jboss.deployment.SARDeployer] create operation failed for package file:/C:/jboss-4.0.2-clean/jboss-4.0.2/server/default/tmp/deploy/tmp62926jboss-federation-server.ear-contents/jboss-federation-server.sar
      org.jboss.deployment.DeploymentException: Error parsing the XML file: ; - nested throwable: (org.jboss.mx.util.JBossNotCompliantMBeanException: Error parsing the XML file: )


      I want to use your framework for a JBoss 4.0.2 without EJB, because I cannot change the existing JBoss server.
      Furthermore I need to write my own LoginProvider.
      Are those conditions supported?

      BTW. the current jboss-identity-management.jar within /bin/jboss-sso.sar doesn't provide the interface LoginContext, although the source-files would say so.

      regards,
      Markus Heidt

        • 1. Re: Federated SSO on 4.0.2?
          Markus Heidt Newbie

          Forgot to give my environment:
          ===============================================================================

          JBoss Bootstrap Environment

          JBOSS_HOME: C:\jboss-4.0.5.GA\bin\\..

          JAVA: c:\java\j2sdk1.4.2_11\\bin\java

          JAVA_OPTS: -Dprogram.name=run.bat -server -Xms128m -Xmx512m -Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000

          CLASSPATH: c:\java\j2sdk1.4.2_11\\lib\tools.jar;C:\jboss-4.0.5.GA\bin\\run.jar

          ===============================================================================

          Testing on OS X with Java 1.5 was ok...at least I saw only LDAP errors, because I didn't change the conf-file yet.

          Is Java 1.5 a prerequisite!?

          • 2. Re: Federated SSO on 4.0.2?
            Sohil Shah Master

            mheidt-

            Looks like Java5 dependency maybe a bug i need to look into.

            Here is the JIRA task to track its progress:

            http://jira.jboss.com/jira/browse/JBSSO-21


            Furthermore I need to write my own LoginProvider.
            Are those conditions supported?


            Yes the LoginProvider is designed to do just that. Out-of-the-box there is an LDAPLoginProvider, but most part I expect developers hooking in their own impl based on their environment


            BTW. the current jboss-identity-management.jar within /bin/jboss-sso.sar doesn't provide the interface LoginContext, although the source-files would say so.


            I have received some feedback with jar files in the binary distribution being out-of-sync. I believe it now ;) Anyways, for now, doing a clean build from src distribution should produce everything latest and greatest.

            I will update the binary distribution to fix this
            http://jira.jboss.com/jira/browse/JBSSO-22

            Thanks
            Sohil